View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
17592Bug reportsInstallationpublic2021-11-02 09:06
ReportersdsAdm1n Assigned Top_teichmann  
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version5.x 
Summary17592: Call to a member function getColumn() on string
DescriptionI am currently running with LS version 5.0.5+210621, upon trying to upgrade my version to the latest version as of now "5.1.10 build 210913", I received an error of "Call to a member function getColumn() on string" upon calling my application /admin page for database upgrade.
Steps To ReproduceFollow the steps of manual update, successfully calling the admin page. Database upgrade screen appears, showing that LS database will be upgraded from version 449 to version 472. Click "Start database upgrade" button, the attached error message will appear.
Additional Information2021/09/12 12:25:49 [error] [exception.Error] Error: Call to a member function getColumn() on string in LSPATH\framework\db\schema\mssql\CMssqlCommandBuilder.php:70
Stack trace:
#0 LSPATH\application\helpers\update\updatedb_helper.php(5305): CMssqlCommandBuilder->createUpdateCommand()
#1 LSPATH\application\helpers\update\updatedb_helper.php(5023): decryptArchivedTables450()
#2 LSPATH\application\helpers\update\updatedb_helper.php(4714): updateEncryptedValues450()
#3 LSPATH\application\helpers\update\update_helper.php(33): db_upgrade_all()
#4LSPATH\application\controllers\admin\databaseupdate.php(38): CheckForDBUpgrades()
#5 [internal function]: databaseupdate->db()
#6 LSPATH\framework\web\actions\CAction.php(115): ReflectionMethod->invokeArgs()
#7 LSPATH\application\core\Survey_Common_Action.php(86): CAction->runWithParamsInternal()
#8 LSPATH\framework\web\CController.php(308): Survey_Common_Action->runWithParams()
#9 LSPATH\framework\web\CController.php(286): CController->runAction()
#10 LSPATH\framework\web\CController.php(265): CController->runActionWithFilters()
#11 LSPATH\application\controllers\AdminController.php(202): CController->run()
#12 LSPATH\framework\web\CWebApplication.php(282): AdminController->run()
#13 LSPATH\framework\web\CWebApplication.php(141): CWebApplication->runController()
#14 LSPATH\framework\base\CApplication.php(185): CWebApplication->processRequest()
#15 LSPATH\index.php(192): CApplication->run()
#16 {main}
REQUEST_URI=/index.php?r=admin/databaseupdate/sa/db/continue/yes
HTTP_REFERER=URL/index.php?r=admin/databaseupdate/sa/db
TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)5.0.5+210621
I will donate to the project if issue is resolvedNo
BrowserChrome
Database type & versionMS SQL Server 2016
Server OS (if known)Win Server 2019
Webserver software & version (if known)IIS 10
PHP Version7.4

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

sdsAdm1n

sdsAdm1n

2021-09-12 10:44

reporter  

getColumn().png (64,793 bytes)   
getColumn().png (64,793 bytes)   
p_teichmann

p_teichmann

2021-09-14 10:42

administrator   ~66476

Last edited: 2021-09-14 10:43

View 3 revisions

Hello,
would it be possible for you to provide us with information about the variable value that is contained in $archivedTableSettings while the error happens? "application/helpers/update/updatedb_helper.php" just after line 5266 "var_dump($archivedTableSettings);"
or upload an export of the "archived_table_settings" table. You can also mark the comment as private, the data included in the table is just settings no data.
c_schmitz

c_schmitz

2021-09-22 11:43

administrator   ~66582

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32740
c_schmitz

c_schmitz

2021-09-22 11:44

administrator   ~66583

The change is very small. You can apply it manually.
sdsAdm1n

sdsAdm1n

2021-09-23 06:29

reporter   ~66600

Thank you, this is to confirm issue has been resolved, and system updated successfully.
p_teichmann

p_teichmann

2021-09-23 19:01

administrator   ~66608

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32752

Related Changesets

LimeSurvey: master 20991add

2021-09-13 12:20:10

p_teichmann

Details Diff
Fixed issue 17592: database update 450 fails Affected Issues
17592
mod - application/helpers/update/updatedb_helper.php Diff File

LimeSurvey: master c59f8686

2021-09-22 11:43:24

c_schmitz

Details Diff
Fixed issue 17592: Call to a member function getColumn() on string when updating using MSSQL Affected Issues
17592
mod - framework/db/schema/mssql/CMssqlCommandBuilder.php Diff File

Issue History

Date Modified Username Field Change
2021-09-12 10:44 sdsAdm1n New Issue
2021-09-12 10:44 sdsAdm1n File Added: getColumn().png
2021-09-13 09:12 galads Assigned To => ollehar
2021-09-13 09:12 galads Status new => assigned
2021-09-13 10:49 ollehar Additional Information Updated View Revisions
2021-09-14 10:42 p_teichmann Note Added: 66476
2021-09-14 10:42 p_teichmann Bug heat 0 => 2
2021-09-14 10:42 p_teichmann Note Edited: 66476 View Revisions
2021-09-14 10:43 p_teichmann Note Edited: 66476 View Revisions
2021-09-15 10:13 p_teichmann Status assigned => feedback
2021-09-15 11:04 sdsAdm1n Bug heat 2 => 4
2021-09-15 11:04 sdsAdm1n Status feedback => assigned
2021-09-22 11:43 c_schmitz Changeset attached => LimeSurvey master c59f8686
2021-09-22 11:43 c_schmitz Note Added: 66582
2021-09-22 11:43 c_schmitz Bug heat 4 => 6
2021-09-22 11:43 c_schmitz Assigned To ollehar => c_schmitz
2021-09-22 11:43 c_schmitz Resolution open => fixed
2021-09-22 11:44 c_schmitz Status assigned => resolved
2021-09-22 11:44 c_schmitz Bug heat 6 => 4
2021-09-22 11:44 c_schmitz Note Added: 66583
2021-09-23 06:29 sdsAdm1n Note Added: 66600
2021-09-23 06:29 sdsAdm1n Bug heat 4 => 6
2021-09-23 19:01 p_teichmann Changeset attached => LimeSurvey master 20991add
2021-09-23 19:01 p_teichmann Note Added: 66608
2021-09-23 19:01 p_teichmann Assigned To c_schmitz => p_teichmann
2021-11-02 09:06 c_schmitz Status resolved => closed